#!/bin/bash

NEXPERIMENTS=5
DEVICE=0
DATASET=mnist

# arguments are number of runs, width, learning rate, device, gtol
run_single() {
COUNTER=1
while [ $COUNTER -le $1 ]
do
python -m experiments.images --width $2 --lr $3 --device $4 --batchsize $5 --experiment_no $COUNTER --state_width $2
((COUNTER++))
done
}

# arguments are number of runs, width, learning rate, device
collect_data() {
run_single $1 $2 $3 $4 64
run_single $1 $2 $3 $4 256
}

# run through all loops and collect the data
collect_data $NEXPERIMENTS 30 0.00001 $DEVICE























